<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::FontManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1FontManager.html">FontManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1FontManager-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::FontManager Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="FontMenager_8hpp_source.html">FontMenager.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2537930373af49cd285e3dc4de31af78"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1FontManager.html#a2537930373af49cd285e3dc4de31af78">FontManager</a> ()=delete</td></tr>
<tr class="separator:a2537930373af49cd285e3dc4de31af78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a9298a82072146a5cbd51a6b63e08ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1FontManager.html#a5a9298a82072146a5cbd51a6b63e08ef">~FontManager</a> ()=delete</td></tr>
<tr class="separator:a5a9298a82072146a5cbd51a6b63e08ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a0a1ddc18f4b288aba1ce19c357c5b782"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1FontManager.html#a0a1ddc18f4b288aba1ce19c357c5b782">Init</a> ()</td></tr>
<tr class="separator:a0a1ddc18f4b288aba1ce19c357c5b782"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae98945795e04f64faa7190f0b09d6e80"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1FontManager.html#ae98945795e04f64faa7190f0b09d6e80">Destroy</a> ()</td></tr>
<tr class="separator:ae98945795e04f64faa7190f0b09d6e80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b1bf41b99c899187a3370298879fc29"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1FontManager.html#a0b1bf41b99c899187a3370298879fc29">GetFont</a> (const std::string &amp;fontname) -&gt; sf::Font *</td></tr>
<tr class="separator:a0b1bf41b99c899187a3370298879fc29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae941984e4c88c95511e97551508e86fa"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1FontManager.html#ae941984e4c88c95511e97551508e86fa">AddFont</a> (const std::string &amp;fontname, const std::string &amp;filename)</td></tr>
<tr class="separator:ae941984e4c88c95511e97551508e86fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37ba58e42c375b972691f714985161dd"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1FontManager.html#a37ba58e42c375b972691f714985161dd">Size</a> () -&gt; std::size_t</td></tr>
<tr class="separator:a37ba58e42c375b972691f714985161dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2537930373af49cd285e3dc4de31af78" name="a2537930373af49cd285e3dc4de31af78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2537930373af49cd285e3dc4de31af78">&#9670;&nbsp;</a></span>FontManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::FontManager::FontManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a9298a82072146a5cbd51a6b63e08ef" name="a5a9298a82072146a5cbd51a6b63e08ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a9298a82072146a5cbd51a6b63e08ef">&#9670;&nbsp;</a></span>~FontManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::FontManager::~FontManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae941984e4c88c95511e97551508e86fa" name="ae941984e4c88c95511e97551508e86fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae941984e4c88c95511e97551508e86fa">&#9670;&nbsp;</a></span>AddFont()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::FontManager::AddFont </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fontname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae98945795e04f64faa7190f0b09d6e80" name="ae98945795e04f64faa7190f0b09d6e80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae98945795e04f64faa7190f0b09d6e80">&#9670;&nbsp;</a></span>Destroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::FontManager::Destroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b1bf41b99c899187a3370298879fc29" name="a0b1bf41b99c899187a3370298879fc29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b1bf41b99c899187a3370298879fc29">&#9670;&nbsp;</a></span>GetFont()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::FontManager::GetFont </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fontname</em></td><td>)</td>
          <td> -&gt;  sf::Font *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a1ddc18f4b288aba1ce19c357c5b782" name="a0a1ddc18f4b288aba1ce19c357c5b782"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a1ddc18f4b288aba1ce19c357c5b782">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::FontManager::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a37ba58e42c375b972691f714985161dd" name="a37ba58e42c375b972691f714985161dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37ba58e42c375b972691f714985161dd">&#9670;&nbsp;</a></span>Size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::FontManager::Size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  std::size_t</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/resources/<a class="el" href="FontMenager_8hpp_source.html">FontMenager.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
